import { EventEmitter } from '@angular/core';
export declare class DrawerComponent {
    direction: string;
    show: boolean;
    uiHide: EventEmitter<any>;
    private isSelfClick;
    hide(): void;
    selfClick(): void;
}
